Hex Artifact Content

Artifact 044d5dd870c9b95008a5c54143dbe4c6ad38e80a:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 4d  2...exit 1.fi..M
00f0: 4b 34 56 45 52 53 3d 22 32 2e 34 2e 39 2e 37 22  K4VERS="2.4.9.7"
0100: 0a 53 52 43 3d 22 73 72 63 2f 6d 65 74 61 6b 69  .SRC="src/metaki
0110: 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72  t-${MK4VERS}.tar
0120: 2e 67 7a 22 0a 53 52 43 55 52 4c 3d 22 68 74 74  .gz".SRCURL="htt
0130: 70 3a 2f 2f 77 77 77 2e 65 71 75 69 34 2e 63 6f  p://www.equi4.co
0140: 6d 2f 70 75 62 2f 6d 6b 2f 6d 65 74 61 6b 69 74  m/pub/mk/metakit
0150: 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72 2e  -${MK4VERS}.tar.
0160: 67 7a 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70  gz".SRCURL="http
0170: 3a 2f 2f 70 6b 67 73 2e 66 65 64 6f 72 61 70 72  ://pkgs.fedorapr
0180: 6f 6a 65 63 74 2e 6f 72 67 2f 72 65 70 6f 2f 70  oject.org/repo/p
0190: 6b 67 73 2f 6d 65 74 61 6b 69 74 2f 6d 65 74 61  kgs/metakit/meta
01a0: 6b 69 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2e 74  kit-${MK4VERS}.t
01b0: 61 72 2e 67 7a 2f 31 37 33 33 30 32 35 37 33 37  ar.gz/1733025737
01c0: 36 65 65 61 36 35 37 38 32 37 65 64 36 33 32 65  6eea657827ed632e
01d0: 61 36 32 63 39 65 2f 6d 65 74 61 6b 69 74 2d 24  a62c9e/metakit-$
01e0: 7b 4d 4b 34 56 45 52 53 7d 2e 74 61 72 2e 67 7a  {MK4VERS}.tar.gz
01f0: 22 0a 53 52 43 48 41 53 48 3d 27 64 31 62 61 33  ".SRCHASH='d1ba3
0200: 36 31 64 32 64 38 35 31 37 39 32 35 63 66 66 35  61d2d8517925cff5
0210: 63 32 33 65 38 36 30 32 38 32 32 64 61 39 63 38  c23e8602822da9c8
0220: 63 33 34 37 61 37 35 61 31 35 63 32 32 35 65 63  c347a75a15c225ec
0230: 36 35 36 66 66 37 63 61 39 34 64 27 0a 42 55 49  656ff7ca94d'.BUI
0240: 4c 44 44 49 52 3d 22 24 28 70 77 64 29 2f 62 75  LDDIR="$(pwd)/bu
0250: 69 6c 64 2f 6d 65 74 61 6b 69 74 2d 24 7b 4d 4b  ild/metakit-${MK
0260: 34 56 45 52 53 7d 22 0a 4f 55 54 44 49 52 3d 22  4VERS}".OUTDIR="
0270: 24 28 70 77 64 29 2f 6f 75 74 22 0a 49 4e 53 54  $(pwd)/out".INST
0280: 44 49 52 3d 22 24 28 70 77 64 29 2f 69 6e 73 74  DIR="$(pwd)/inst
0290: 22 0a 50 41 54 43 48 44 49 52 3d 22 24 28 70 77  ".PATCHDIR="$(pw
02a0: 64 29 2f 70 61 74 63 68 65 73 22 0a 65 78 70 6f  d)/patches".expo
02b0: 72 74 20 4d 4b 34 56 45 52 53 20 53 52 43 20 53  rt MK4VERS SRC S
02c0: 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52 20 4f  RCURL BUILDDIR O
02d0: 55 54 44 49 52 20 49 4e 53 54 44 49 52 20 50 41  UTDIR INSTDIR PA
02e0: 54 43 48 44 49 52 0a 0a 23 20 53 65 74 20 63 6f  TCHDIR..# Set co
02f0: 6e 66 69 67 75 72 65 20 6f 70 74 69 6f 6e 73 20  nfigure options 
0300: 66 6f 72 20 74 68 69 73 20 73 75 62 2d 70 72 6f  for this sub-pro
0310: 6a 65 63 74 0a 4c 44 46 4c 41 47 53 3d 22 24 7b  ject.LDFLAGS="${
0320: 4c 44 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 4d 4b  LDFLAGS} ${KC_MK
0330: 34 54 43 4c 5f 4c 44 46 4c 41 47 53 7d 22 0a 43  4TCL_LDFLAGS}".C
0340: 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d  FLAGS="${CFLAGS}
0350: 20 24 7b 4b 43 5f 4d 4b 34 54 43 4c 5f 43 46 4c   ${KC_MK4TCL_CFL
0360: 41 47 53 7d 22 0a 43 58 58 46 4c 41 47 53 3d 22  AGS}".CXXFLAGS="
0370: 24 7b 43 58 58 46 4c 41 47 53 7d 20 24 7b 4b 43  ${CXXFLAGS} ${KC
0380: 5f 4d 4b 34 54 43 4c 5f 43 58 58 46 4c 41 47 53  _MK4TCL_CXXFLAGS
0390: 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b 43  }".CPPFLAGS="${C
03a0: 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 4d 4b  PPFLAGS} ${KC_MK
03b0: 34 54 43 4c 5f 43 50 50 46 4c 41 47 53 7d 22 0a  4TCL_CPPFLAGS}".
03c0: 4c 49 42 53 3d 22 24 7b 4c 49 42 53 7d 20 24 7b  LIBS="${LIBS} ${
03d0: 4b 43 5f 4d 4b 34 54 43 4c 5f 4c 49 42 53 7d 22  KC_MK4TCL_LIBS}"
03e0: 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41 47 53 20  .export LDFLAGS 
03f0: 43 46 4c 41 47 53 20 43 50 50 46 4c 41 47 53 20  CFLAGS CPPFLAGS 
0400: 4c 49 42 53 0a 0a 72 6d 20 2d 72 66 20 27 62 75  LIBS..rm -rf 'bu
0410: 69 6c 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74  ild' 'out' 'inst
0420: 27 0a 6d 6b 64 69 72 20 27 62 75 69 6c 64 27 20  '.mkdir 'build' 
0430: 27 6f 75 74 27 20 27 69 6e 73 74 27 20 7c 7c 20  'out' 'inst' || 
0440: 65 78 69 74 20 31 0a 0a 54 43 4c 5f 56 45 52 53  exit 1..TCL_VERS
0450: 49 4f 4e 3d 22 75 6e 6b 6e 6f 77 6e 22 0a 69 66  ION="unknown".if
0460: 20 5b 20 2d 66 20 22 24 7b 54 43 4c 43 4f 4e 46   [ -f "${TCLCONF
0470: 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67  IGDIR}/tclConfig
0480: 2e 73 68 22 20 5d 3b 20 74 68 65 6e 0a 20 20 20  .sh" ]; then.   
0490: 20 20 20 20 20 73 6f 75 72 63 65 20 22 24 7b 54       source "${T
04a0: 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f 74 63 6c  CLCONFIGDIR}/tcl
04b0: 43 6f 6e 66 69 67 2e 73 68 22 0a 66 69 0a 65 78  Config.sh".fi.ex
04c0: 70 6f 72 74 20 54 43 4c 5f 56 45 52 53 49 4f 4e  port TCL_VERSION
04d0: 0a 0a 69 66 20 5b 20 21 20 2d 66 20 22 24 7b 53  ..if [ ! -f "${S
04e0: 52 43 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 6d 6b  RC}" ]; then..mk
04f0: 64 69 72 20 27 73 72 63 27 20 3e 2f 64 65 76 2f  dir 'src' >/dev/
0500: 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c  null 2>/dev/null
0510: 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 62 75  ...if [ ! -d 'bu
0520: 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a  ildsrc' ]; then.
0530: 09 09 64 6f 77 6e 6c 6f 61 64 20 22 24 7b 53 52  ..download "${SR
0540: 43 55 52 4c 7d 22 20 22 24 7b 53 52 43 7d 22 20  CURL}" "${SRC}" 
0550: 22 24 7b 53 52 43 48 41 53 48 7d 22 20 7c 7c 20  "${SRCHASH}" || 
0560: 65 78 69 74 20 31 0a 09 66 69 0a 66 69 0a 0a 28  exit 1..fi.fi..(
0570: 0a 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c 20  ..cd 'build' || 
0580: 65 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21 20  exit 1...if [ ! 
0590: 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63 27  -d '../buildsrc'
05a0: 20 5d 3b 20 74 68 65 6e 0a 09 09 67 7a 69 70 20   ]; then...gzip 
05b0: 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d 22 20  -dc "../${SRC}" 
05c0: 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09 65 6c 73  | tar -xf -..els
05d0: 65 20 20 20 20 0a 09 09 63 70 20 2d 72 70 20 2e  e    ...cp -rp .
05e0: 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20 27 2e 2f  ./buildsrc/* './
05f0: 27 0a 09 66 69 0a 0a 09 23 20 41 70 70 6c 79 20  '..fi...# Apply 
0600: 72 65 71 75 69 72 65 64 20 70 61 74 63 68 65 73  required patches
0610: 0a 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52  ..cd "${BUILDDIR
0620: 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 66 6f  }" || exit 1..fo
0630: 72 20 70 61 74 63 68 20 69 6e 20 22 24 7b 50 41  r patch in "${PA
0640: 54 43 48 44 49 52 7d 2f 61 6c 6c 22 2f 6d 65 74  TCHDIR}/all"/met
0650: 61 6b 69 74 2d 24 7b 4d 4b 34 56 45 52 53 7d 2d  akit-${MK4VERS}-
0660: 2a 2e 64 69 66 66 20 22 24 7b 50 41 54 43 48 44  *.diff "${PATCHD
0670: 49 52 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49 4f  IR}/${TCL_VERSIO
0680: 4e 7d 22 2f 6d 65 74 61 6b 69 74 2d 24 7b 4d 4b  N}"/metakit-${MK
0690: 34 56 45 52 53 7d 2d 2a 2e 64 69 66 66 3b 20 64  4VERS}-*.diff; d
06a0: 6f 0a 09 09 69 66 20 5b 20 21 20 2d 66 20 22 24  o...if [ ! -f "$
06b0: 7b 70 61 74 63 68 7d 22 20 5d 3b 20 74 68 65 6e  {patch}" ]; then
06c0: 0a 09 09 09 63 6f 6e 74 69 6e 75 65 0a 09 09 66  ....continue...f
06d0: 69 0a 0a 09 09 65 63 68 6f 20 22 41 70 70 6c 79  i....echo "Apply
06e0: 69 6e 67 3a 20 24 7b 70 61 74 63 68 7d 22 0a 09  ing: ${patch}"..
06f0: 09 24 7b 50 41 54 43 48 3a 2d 70 61 74 63 68 7d  .${PATCH:-patch}
0700: 20 2d 70 31 20 3c 20 22 24 7b 70 61 74 63 68 7d   -p1 < "${patch}
0710: 22 0a 09 64 6f 6e 65 0a 0a 09 63 64 20 22 24 7b  "..done...cd "${
0720: 42 55 49 4c 44 44 49 52 7d 2f 75 6e 69 78 22 20  BUILDDIR}/unix" 
0730: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 23 20 49 66  || exit 1...# If
0740: 20 77 65 20 61 72 65 20 62 75 69 6c 64 69 6e 67   we are building
0750: 20 66 6f 72 20 57 69 6e 33 32 2c 20 77 65 20 6e   for Win32, we n
0760: 65 65 64 20 74 6f 20 64 65 66 69 6e 65 20 22 42  eed to define "B
0770: 55 49 4c 44 5f 74 63 6c 22 20 73 6f 20 74 68 61  UILD_tcl" so tha
0780: 74 0a 09 23 20 54 43 4c 5f 53 54 4f 52 41 47 45  t..# TCL_STORAGE
0790: 5f 43 4c 41 53 53 20 67 65 74 73 20 64 65 66 69  _CLASS gets defi
07a0: 6e 65 64 20 61 73 20 44 4c 4c 45 58 50 4f 52 54  ned as DLLEXPORT
07b0: 2c 20 74 6f 20 6d 61 6b 65 20 73 74 61 74 69 63  , to make static
07c0: 20 6c 69 6e 6b 69 6e 67 0a 09 23 20 77 6f 72 6b   linking..# work
07d0: 0a 09 42 55 49 4c 44 54 59 50 45 3d 22 24 28 62  ..BUILDTYPE="$(b
07e0: 61 73 65 6e 61 6d 65 20 22 24 7b 54 43 4c 43 4f  asename "${TCLCO
07f0: 4e 46 49 47 44 49 52 7d 22 29 22 0a 09 69 66 20  NFIGDIR}")"..if 
0800: 5b 20 22 24 7b 42 55 49 4c 44 54 59 50 45 7d 22  [ "${BUILDTYPE}"
0810: 20 3d 20 22 77 69 6e 22 20 5d 3b 20 74 68 65 6e   = "win" ]; then
0820: 0a 09 09 43 50 50 46 4c 41 47 53 3d 22 24 7b 43  ...CPPFLAGS="${C
0830: 50 50 46 4c 41 47 53 7d 20 2d 44 42 55 49 4c 44  PPFLAGS} -DBUILD
0840: 5f 74 63 6c 3d 31 22 0a 09 09 65 78 70 6f 72 74  _tcl=1"...export
0850: 20 43 50 50 46 4c 41 47 53 0a 0a 09 09 69 66 20   CPPFLAGS....if 
0860: 5b 20 22 24 7b 53 54 41 54 49 43 4d 4b 34 7d 22  [ "${STATICMK4}"
0870: 20 21 3d 20 22 2d 31 22 20 5d 3b 20 74 68 65 6e   != "-1" ]; then
0880: 0a 09 09 09 69 66 20 5b 20 22 24 7b 53 54 41 54  ....if [ "${STAT
0890: 49 43 4d 4b 34 7d 22 20 3d 20 22 30 22 20 5d 3b  ICMK4}" = "0" ];
08a0: 20 74 68 65 6e 0a 09 09 09 09 65 63 68 6f 20 27   then.....echo '
08b0: 57 61 72 6e 69 6e 67 3a 20 4d 65 74 61 6b 69 74  Warning: Metakit
08c0: 34 20 66 61 69 6c 73 20 74 6f 20 62 75 69 6c 64  4 fails to build
08d0: 20 73 68 61 72 65 64 20 6f 6e 20 57 69 6e 33 32   shared on Win32
08e0: 2c 20 63 6f 6e 76 65 72 74 69 6e 67 20 74 6f 20  , converting to 
08f0: 73 74 61 74 69 63 20 6c 69 6e 6b 69 6e 67 27 0a  static linking'.
0900: 0a 09 09 09 09 53 54 41 54 49 43 4d 4b 34 3d 22  .....STATICMK4="
0910: 31 22 0a 09 09 09 66 69 0a 09 09 65 6c 73 65 0a  1"....fi...else.
0920: 09 09 09 53 54 41 54 49 43 4d 4b 34 3d 22 30 22  ...STATICMK4="0"
0930: 0a 09 09 66 69 0a 09 09 65 78 70 6f 72 74 20 53  ...fi...export S
0940: 54 41 54 49 43 4d 4b 34 0a 09 66 69 0a 0a 09 23  TATICMK4..fi...#
0950: 20 54 72 79 20 74 6f 20 62 75 69 6c 64 20 61 73   Try to build as
0960: 20 61 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74   a shared object
0970: 20 69 66 20 72 65 71 75 65 73 74 65 64 0a 09 69   if requested..i
0980: 66 20 5b 20 22 24 7b 53 54 41 54 49 43 4d 4b 34  f [ "${STATICMK4
0990: 7d 22 20 3d 20 22 30 22 20 5d 3b 20 74 68 65 6e  }" = "0" ]; then
09a0: 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65 6e  ...tryopts="--en
09b0: 61 62 6c 65 2d 73 68 61 72 65 64 20 2d 2d 64 69  able-shared --di
09c0: 73 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 65  sable-shared"..e
09d0: 6c 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43 4d  lif [ "${STATICM
09e0: 4b 34 7d 22 20 3d 20 22 2d 31 22 20 5d 3b 20 74  K4}" = "-1" ]; t
09f0: 68 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d  hen...tryopts="-
0a00: 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 0a  -enable-shared".
0a10: 09 65 6c 73 65 0a 09 09 74 72 79 6f 70 74 73 3d  .else...tryopts=
0a20: 22 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65  "--disable-share
0a30: 64 22 0a 09 66 69 0a 0a 09 53 41 56 45 5f 43 58  d"..fi...SAVE_CX
0a40: 58 46 4c 41 47 53 3d 22 24 7b 43 58 58 46 4c 41  XFLAGS="${CXXFLA
0a50: 47 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f 70 74  GS}"..for tryopt
0a60: 20 69 6e 20 24 74 72 79 6f 70 74 73 20 5f 5f 66   in $tryopts __f
0a70: 61 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20 43 6c  ail__; do...# Cl
0a80: 65 61 6e 20 75 70 2c 20 69 66 20 6e 65 65 64 65  ean up, if neede
0a90: 64 0a 09 09 6d 61 6b 65 20 64 69 73 74 63 6c 65  d...make distcle
0aa0: 61 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e  an >/dev/null 2>
0ab0: 2f 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d 20 2d  /dev/null...rm -
0ac0: 72 66 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a  rf "${INSTDIR}".
0ad0: 09 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53 54 44  ..mkdir "${INSTD
0ae0: 49 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22 24 7b  IR}"....if [ "${
0af0: 74 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f 66 61  tryopt}" = "__fa
0b00: 69 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a 09 09  il__" ]; then...
0b10: 09 65 78 69 74 20 31 0a 09 09 66 69 0a 0a 09 09  .exit 1...fi....
0b20: 69 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22  if [ "${tryopt}"
0b30: 20 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d 73 68   == "--enable-sh
0b40: 61 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a 09 09  ared" ]; then...
0b50: 09 69 73 73 68 61 72 65 64 3d 22 31 22 0a 09 09  .isshared="1"...
0b60: 65 6c 73 65 0a 09 09 09 69 73 73 68 61 72 65 64  else....isshared
0b70: 3d 22 30 22 0a 09 09 66 69 0a 0a 09 09 23 20 49  ="0"...fi....# I
0b80: 66 20 62 75 69 6c 64 20 61 20 73 74 61 74 69 63  f build a static
0b90: 20 4d 6b 34 74 63 6c 20 66 6f 72 20 4b 69 74 44   Mk4tcl for KitD
0ba0: 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68 61 74 20  LL, ensure that 
0bb0: 77 65 20 75 73 65 20 50 49 43 0a 09 09 23 20 73  we use PIC...# s
0bc0: 6f 20 74 68 61 74 20 69 74 20 63 61 6e 20 62 65  o that it can be
0bd0: 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20 74 68 65   linked into the
0be0: 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74 0a 09   shared object..
0bf0: 09 69 66 20 5b 20 22 24 7b 69 73 73 68 61 72 65  .if [ "${isshare
0c00: 64 7d 22 20 3d 20 22 30 22 20 2d 61 20 22 24 7b  d}" = "0" -a "${
0c10: 4b 49 54 54 41 52 47 45 54 7d 22 20 3d 20 22 6b  KITTARGET}" = "k
0c20: 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65 6e 0a 09  itdll" ]; then..
0c30: 09 09 43 58 58 46 4c 41 47 53 3d 22 24 7b 53 41  ..CXXFLAGS="${SA
0c40: 56 45 5f 43 58 58 46 4c 41 47 53 7d 20 2d 66 50  VE_CXXFLAGS} -fP
0c50: 49 43 22 0a 09 09 65 6c 73 65 0a 09 09 09 43 58  IC"...else....CX
0c60: 58 46 4c 41 47 53 3d 22 24 7b 53 41 56 45 5f 43  XFLAGS="${SAVE_C
0c70: 58 58 46 4c 41 47 53 7d 22 0a 09 09 66 69 0a 09  XXFLAGS}"...fi..
0c80: 09 65 78 70 6f 72 74 20 43 58 58 46 4c 41 47 53  .export CXXFLAGS
0c90: 0a 0a 09 09 28 0a 09 09 09 65 63 68 6f 20 22 52  ....(....echo "R
0ca0: 75 6e 6e 69 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67  unning: ./config
0cb0: 75 72 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72  ure $tryopt --pr
0cc0: 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52  efix=\"${INSTDIR
0cd0: 7d 5c 22 20 2d 2d 65 78 65 63 2d 70 72 65 66 69  }\" --exec-prefi
0ce0: 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22  x=\"${INSTDIR}\"
0cf0: 20 2d 2d 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e   --libdir=\"${IN
0d00: 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 2d 2d 77  STDIR}/lib\" --w
0d10: 69 74 68 2d 74 63 6c 3d 5c 22 24 7b 54 43 4c 43  ith-tcl=\"${TCLC
0d20: 4f 4e 46 49 47 44 49 52 7d 2f 2e 2e 2f 67 65 6e  ONFIGDIR}/../gen
0d30: 65 72 69 63 5c 22 20 24 7b 43 4f 4e 46 49 47 55  eric\" ${CONFIGU
0d40: 52 45 45 58 54 52 41 7d 22 0a 09 09 09 2e 2f 63  REEXTRA}"...../c
0d50: 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f 70 74  onfigure $tryopt
0d60: 20 2d 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e 53   --prefix="${INS
0d70: 54 44 49 52 7d 22 20 2d 2d 65 78 65 63 2d 70 72  TDIR}" --exec-pr
0d80: 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d  efix="${INSTDIR}
0d90: 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e  " --libdir="${IN
0da0: 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d 77 69  STDIR}/lib" --wi
0db0: 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e  th-tcl="${TCLCON
0dc0: 46 49 47 44 49 52 7d 2f 2e 2e 2f 67 65 6e 65 72  FIGDIR}/../gener
0dd0: 69 63 22 20 24 7b 43 4f 4e 46 49 47 55 52 45 45  ic" ${CONFIGUREE
0de0: 58 54 52 41 7d 0a 0a 09 09 09 65 63 68 6f 20 22  XTRA}.....echo "
0df0: 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a  Running: ${MAKE:
0e00: 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72  -make} tcllibdir
0e10: 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69  =\"${INSTDIR}/li
0e20: 62 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a 2d 61  b\" AR=\"${AR:-a
0e30: 72 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22 24 7b  r}\" RANLIB=\"${
0e40: 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c  RANLIB:-ranlib}\
0e50: 22 22 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61  ""....${MAKE:-ma
0e60: 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d 22 24  ke} tcllibdir="$
0e70: 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 41  {INSTDIR}/lib" A
0e80: 52 3d 22 24 7b 41 52 3a 2d 61 72 7d 22 20 52 41  R="${AR:-ar}" RA
0e90: 4e 4c 49 42 3d 22 24 7b 52 41 4e 4c 49 42 3a 2d  NLIB="${RANLIB:-
0ea0: 72 61 6e 6c 69 62 7d 22 20 7c 7c 20 65 78 69 74  ranlib}" || exit
0eb0: 20 31 0a 0a 09 09 09 65 63 68 6f 20 22 52 75 6e   1.....echo "Run
0ec0: 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61  ning: ${MAKE:-ma
0ed0: 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d 5c 22  ke} tcllibdir=\"
0ee0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22  ${INSTDIR}/lib\"
0ef0: 20 41 52 3d 5c 22 24 7b 41 52 3a 2d 61 72 7d 5c   AR=\"${AR:-ar}\
0f00: 22 20 52 41 4e 4c 49 42 3d 5c 22 24 7b 52 41 4e  " RANLIB=\"${RAN
0f10: 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22 20 69  LIB:-ranlib}\" i
0f20: 6e 73 74 61 6c 6c 22 0a 09 09 09 24 7b 4d 41 4b  nstall"....${MAK
0f30: 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64  E:-make} tcllibd
0f40: 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c  ir="${INSTDIR}/l
0f50: 69 62 22 20 41 52 3d 22 24 7b 41 52 3a 2d 61 72  ib" AR="${AR:-ar
0f60: 7d 22 20 52 41 4e 4c 49 42 3d 22 24 7b 52 41 4e  }" RANLIB="${RAN
0f70: 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 22 20 69 6e  LIB:-ranlib}" in
0f80: 73 74 61 6c 6c 20 7c 7c 20 65 78 69 74 20 31 0a  stall || exit 1.
0f90: 09 09 29 20 7c 7c 20 63 6f 6e 74 69 6e 75 65 0a  ..) || continue.
0fa0: 0a 09 09 62 72 65 61 6b 0a 09 64 6f 6e 65 0a 0a  ...break..done..
0fb0: 09 23 20 43 6c 65 61 6e 20 75 70 20 22 6c 69 62  .# Clean up "lib
0fc0: 6d 6b 34 2e 2a 22 2c 20 69 74 27 73 20 6e 6f 74  mk4.*", it's not
0fd0: 20 6e 65 65 64 65 64 0a 09 72 6d 20 2d 66 20 22   needed..rm -f "
0fe0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 2f  ${INSTDIR}/lib"/
0ff0: 6c 69 62 6d 6b 34 2e 2a 0a 0a 09 23 20 49 66 20  libmk4.*...# If 
1000: 77 65 20 61 72 65 20 62 75 69 6c 64 69 6e 67 20  we are building 
1010: 61 20 73 68 61 72 65 64 20 76 65 72 73 69 6f 6e  a shared version
1020: 20 6f 66 20 4d 6b 34 74 63 6c 2c 20 70 75 74 20   of Mk4tcl, put 
1030: 69 74 20 69 6e 20 74 68 65 20 56 46 53 20 64 69  it in the VFS di
1040: 72 65 63 74 6f 72 79 0a 09 69 66 20 5b 20 22 24  rectory..if [ "$
1050: 7b 69 73 73 68 61 72 65 64 7d 22 20 3d 20 22 31  {isshared}" = "1
1060: 22 20 5d 3b 20 74 68 65 6e 0a 09 09 63 70 20 2d  " ]; then...cp -
1070: 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69  r "${INSTDIR}/li
1080: 62 22 20 22 24 7b 4f 55 54 44 49 52 7d 22 0a 09  b" "${OUTDIR}"..
1090: 66 69 0a 0a 09 65 78 69 74 20 30 0a 29 20 7c 7c  fi...exit 0.) ||
10a0: 20 65 78 69 74 20 31 0a 0a 65 78 69 74 20 30 0a   exit 1..exit 0.